contador web Skip to content

↪ Soon, all new apps for iOS will have to work in 64 bits; Xcode 6.1 is available

IOS 8 logo

As of February 1, 2015, new iOS apps submitted to the App Store must include 64-bit support and be built with the iOS 8 SDK, included with Xcode 6 or higher. To enable 64 bits in your project, we recommend using the Xcode compilation of “Standard Architectures” to build a single binary with both 32 and 64 bit codes.

Observe how Apple specifies that the rule applies to “new apps”, that is, it does not necessarily cover updates. On a related note, the Mac App Store already has the Xcode 6.1, which includes the OS X 10.10 Yosemite, OS X 10.9 Mavericks SDK and the newly released iOS 8.1. (Apple Developer)


Xcode app icon

Xcode

in Apple

Compatible with Macs

Version 11.6 (8.1 GB) Requires macOS 10.15.2 or superior